[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TIconImage.Destroy

Destructor for the class instance.

## Declaration

Source position: graphics.pp line 1581

`public destructor TIconImage.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that existing values in Handle, MaskHandle, and Palette are freed by calling DeleteObject. The raw image data used the class instance is also freed. Destroy calls the inherited destructor prior to exiting from the method.

## See also

TObject.Destroy